<div class="container container-bg py-5 mx-auto" *ngIf="auth.currentUser$ | async as user">
  <div class="row">
    <div class="col-md-12 text-center pb-5">
      <h2>{{ this.user.displayName }}</h2>
    </div>
  </div>
  <div class="row d-flex align-items-center">
    <div class="col-lg-4 col-xs-12">
      <p class="h4 text-center pb-2">Requests opened:</p>
      <div class="c100 p{{this.userRequests}} big center">
        <span>{{this.userRequests}}</span>
        <div class="slice">
            <div class="bar"></div>
            <div class="fill"></div>
        </div>
      </div>
    </div>
    <div class="col-lg-6 offset-lg-1 col-xs-12">
      <div *ngIf="userHasATeam" class="">
        <div class="input-group">
          <div class="input-group-prepend">
            <label class="input-group-text" for="">Teams:</label>
          </div>
          <select class="custom-select" [(ngModel)]="selectedTeam" (change)="setTeamValue($event.target.value)">
            <option [value]="team.uid" *ngFor="let team of teams">
              {{ team.teamName }}
            </option>
          </select>
        </div>
        <div class="pt-3">
          <button class="btn btn-secondary btn-block" (click)="this.leaveTeam()" [disabled]="!this.selectedTeam">Leave Team</button>
        </div>
      </div>
    </div>
  </div>

  <hr class="bg-secondary my-5"/>
  <div class="row">
    <div class="col-12 text-center">
      <h4>Edit profile</h4>
      <!-- {{ userData | json}} -->
    </div>
    <div class="col-12">
      <div class="row">
        <div class="col-md-6">
          <div class="row">
            <div class="col-md-4">
              <img src="{{ this.user.photoURL }}" alt=""
                class="rounded-circle img-fluid avatar avatar-medium d-block mx-auto img-thumbnail">
            </div>
            <div class="col-md-8 mt-md-4">
                <form [formGroup]="this.avatarForm" (ngSubmit)="this.changeAvatar()">
                  <div class="form-group">
                    <input type="url" formControlName="avatarURL" placeholder="Avatar URL" class="form-control bg-transparent rounded-0 border border-dark border-top-0 border-left-0 border-right-0 px-1 py-2">
                  </div>
                  
                  <button type="submit" class="btn btn-secondary btn-block" [disabled]="this.avatarForm.invalid">Change avatar</button>
                </form>
            </div>
          </div>
        </div>
        <div class="col-md-6">
          <div class="row">
            <div class="offset-md-2 col-md-8 mt-md-4">
              <form [formGroup]="this.displayNameForm" (ngSubmit)="this.changeDisplayName()">
                <div class="form-group">
                  <input formControlName="displayName" type="text" placeholder="Display name" class="form-control bg-transparent rounded-0 border border-dark border-top-0 border-left-0 border-right-0 px-1 py-2">
                </div>
                
                <button type="submit" class="btn btn-secondary btn-block" [disabled]="this.displayNameForm.invalid">Change name</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row my-5 pb-5">
    <div class="col-md-12">
      <h4 class="text-center py-2">Request password change</h4>
      <button class="btn btn-secondary btn-block mx-auto col-6" (click)="passwordReset()">Reset password</button>
    </div>
  </div>
  <!-- <div class="row">
    <ag-grid-angular style="width: 100%; height: 750px;" class="ag-theme-bootstrap" [rowData]="rowData | async"
      [columnDefs]="columnDefs" [rowHeight]="100" [groupUseEntireRow]="true" [groupRowRenderer]="true"
      [pagination]="true" [paginationAutoPageSize]="true" [rowSelection]="rowSelection"
      [rowMultiSelectWithClick]="true" (selectionChanged)="onSelectionChanged($event)"
      (gridReady)="onGridReady($event)">
    </ag-grid-angular>
  </div> -->
</div>